Subject: Re: [Iasa20] Comments on draft-ietf-iasa2-consolidated-upd

From: "Livingood, Jason" <[email-masked]>
Date: Tue, 13 Nov 2018 00:05:43 +0000

Good point. For ones that might become historic vs. deprecated, do we note them as such in this document and then send a request to the RFC Editor? (I've never had to move a doc to historic before.)

On 11/12/18, 7:03 PM, "Brian E Carpenter" <[email-masked]> wrote:

    Jason,
    
    RFC 4089 says "The recommendation is being published for the record."
    So I think it's actually like RFC 3716 - overtaken by events.
    Whether we declare these documents formally Historic or simply
    note that they are now irrelevant is a matter of taste, but Historic
    might be kinder to future archaeologists.
    
    Otherwise your comments seem fine.
    
    Thanks
       Brian
    
    On 2018-11-13 09:33, Livingood, Jason wrote:
    > Hi Brian - I tried to suggest changes to John's draft that were responsive to your points. And looking specifically at your RFC list:
    > 
    > RFC 2028: addressed in my edits to John's draft
    > 
    > RFC 3005: addressed in my edits to John's draft
    > 
    > RFC 3710: addressed in my edits to John's draft
    > 
    > RFC 3716: While this describes the administrative structure of the IETF, it dates to 2004 and is informational. As a result, no update was deemed necessary. If you think we still need an update to this, let's discuss it (I will start a new thread on this).
    > 
    > RFC 3929: While this touches on aspects of the administration of the IETF, such as mentioning the IETF Executive Director, it dates to 2004 and is experimental. As a result, no update is necessary.
    > 
    > RFC 3979: Updated by RFC 8179, which corrects mentions of the IETF Executive Director to the IETF Secretariat. As a result, no revision is necessary. 
    > 
    > RFC 4071: Work in progress -- the Structure draft will update this.
    > 
    > RFC 4089: This is a gap. We will be sure the structure draft updates this in some manner.
    > 
    > RFC 4633: Refers to IETF Executive Director. BUT, it describes a 2006 experiment that ran for 18 months and is filed as experimental. As a result, no obvious need to update it at this time.
    > 
    > RFC 4879:  Updated by RFC 8179, which corrects mentions of the IETF Executive Director to the IETF Secretariat. As a result, no revision is necessary. 
    > 
    > RFC 7437: Work in progress -- see RFC7437-bis.
    > 
    > Thanks
    > Jason
    > 
    > (Ref https://github.com/jlivingood/draft-ietf-iasa2-consolidated-upd/blob/master/draft-ietf-iasa2-consolidated-upd.xml or attached) 
    > 
    > On 11/10/18, 3:07 PM, "iasa20 on behalf of Brian E Carpenter" <[email-masked] on behalf of [email-masked]> wrote:
    > 
    >     On 2018-11-11 05:45, Russ Housley wrote:
    >     > Alissa:
    >     > 
    >     > I believe the change in titles should be explained in Section 3 of draft-ietf-iasa2-struct
    >     
    >     There's a bit more to do. The term "IETF Executive Director" is used
    >     in both RFC2026 and RFC2418, without definition, and since those are
    >     still our most fundamental process documents I think we need to be
    >     very explicit. To which role in the new structure do those two RFCs
    >     refer?
    >     
    >     It's also present in RFC 2028, 3005, 3710, 3716, 3929, 3979, 4071, 4089,
    >     4633, 4879 and 7437, and only some of those are under revision here.
    >     
    >         Brian
    >     
    >     > 
    >     > Russ
    >     > 
    >     > l
    >     >> On Nov 10, 2018, at 11:03 AM, Alissa Cooper <[email-masked] <mailto:[email-masked]>> wrote:
    >     >>
    >     >> Hi John,
    >     >>
    >     >> The role of executive director is defined in the LLC agreement: https://www.ietf.org/documents/180/IETF-LLC-Agreement.pdf
    >     >>
    >     >> Best,
    >     >> Alissa
    >     >>
    >     >> On Nov 10, 2018, at 3:23 PM, John C Klensin <[email-masked] <mailto:[email-masked]>> wrote:
    >     >>
    >     >>> Russ,
    >     >>>
    >     >>> Thanks _very_ much for the explanation and the pointers.  I
    >     >>> obviously stand corrected.
    >     >>>
    >     >>> Two suggestions:
    >     >>>
    >     >>> (1) Shuffling terminology and titles around this way is very
    >     >>> confusing, especially to those who have not been paying careful
    >     >>> attention.  I have evidence (so far only in offlist
    >     >>> conversations) that at least some people who have been very
    >     >>> active in the WG are either confused or are describing the
    >     >>> situation in a way that adds to the confusion.   Even using
    >     >>> "Executive Director of the IETF LLC" and "Managing Director of
    >     >>> the IETF Secretariat" and dropping "IETF Executive Director"
    >     >>> entirely would help a lot.  Given our claimed preference for
    >     >>> avoiding royalty of various sorts, it might be even better to
    >     >>> get rid of "Executive Director" (a title that predates IASA and
    >     >>> goes back to a time when the IETF did not control its
    >     >>> administrative arrangements except by persuasion and requests
    >     >>> entirely).
    >     >>>
    >     >>> (2) The idea that the best reference (if that is in fact the
    >     >>> case) for where these titles are nailed down is a link to an
    >     >>> archived email message is a little scary.  IMO, these titles (or
    >     >>> whatever is picked) should be defined and explained in an RFC or
    >     >>> something destined for RFC Publication.  Probably the
    >     >>> definitions should be cited in any document in which there is a
    >     >>> possibility of confusion, but, in any case, the definitions
    >     >>> should be part of our formal archival record.  Are  they in one
    >     >>> of the WG documents I haven't read carefully enough yet?
    >     >>>
    >     >>> best,
    >     >>>   john
    >     >>>
    >     >>>
    >     >>> --On Saturday, November 10, 2018 02:11 -0500 Russ Housley
    >     >>> <[email-masked] <mailto:[email-masked]>> wrote:
    >     >>>
    >     >>>> John:
    >     >>>>
    >     >>>> I confirmed that the references to "IETF Executive Director"
    >     >>>> in draft-ietf-iasa2-rfc4844-bis-00 are referring to the
    >     >>>> Executive Director of the IETF LLC, not the previous use of
    >     >>>> that title.
    >     >>>>
    >     >>>> These terms are nailed dow here:
    >     >>>> https://mailarchive.ietf.org/arch/msg/iasa20/C0g-Gp4vbGMYsGW-t
    >     >>>> FXmxQAKAgQ
    >     >>>> <https://mailarchive.ietf.org/arch/msg/iasa20/C0g-Gp4vbGMYsGW-
    >     >>>> tFXmxQAKAgQ>
    >     >>>>
    >     >>>> In summary:
    >     >>>> - IASA 2.0 replaces the role of IETF Administrative Director
    >     >>>> (IAD) with the new role of IETF Executive Director. - The
    >     >>>> title of IETF Executive Director has previously been used by
    >     >>>> Alexa Morris; Alexa will now be known as the Managing
    >     >>>> Director, IETF Secretariat. - Portia Wenze-Danley, will serve
    >     >>>> as Interim IETF Executive Director reporting to the LLC Board
    >     >>>> of Directors.
    >     >>>>
    >     >>>> Russ
    >     >>>>
    >     >>>>
    >     >>>>> On Nov 9, 2018, at 9:12 PM, John C Klensin
    >     >>>>> <[email-masked] <mailto:[email-masked]>> wrote:
    >     >>>>>
    >     >>>>> Hi.
    >     >>>>>
    >     >>>>> In the process of checking documents to see where a
    >     >>>>> consolidating update might be a better idea than completely
    >     >>>>> replacing earlier ones, I noticed that, while
    >     >>>>> draft-ietf-iasa2-rfc4844-bis-00 eliminates references to the
    >     >>>>> IAOC (as the cover note and Section 7 say it does), it still
    >     >>>>> contains references to the IETF Executive Director.  The
    >     >>>>> tracker says it is in WG Last Call, so...
    >     >>>>>
    >     >>>>> It hence either needs another revision or should be collapsed
    >     >>>>> into a consolidated update document.  One argument for the
    >     >>>>> latter is that, as described in Section 7, this draft makes
    >     >>>>> changes --whether characterized as "minor editorial" or not--
    >     >>>>> that are not strictly necessary to fix the document for the
    >     >>>>> IASA2 changes and hence lie outside the WG's Charter.  Authors
    >     >>>>> of these replacement documents have a dilemma in that regard:
    >     >>>>> if they stay within the charter, they need to just make the
    >     >>>>> IASA2 changes, which means ignoring all errata, editorial
    >     >>>>> changes motivated by the passage of time, etc.  That would
    >     >>>>> leave a replacement document for which changes to the earlier
    >     >>>>> one that we know are needed have not been applied.   Or they
    >     >>>>> can make the changes and risk some sorehead complaining
    >     >>>>> during IETF Last Call that the WG didn't do a good job of
    >     >>>>> reviewing documents, violated its charter, etc., and that any
    >     >>>>> documents should be subject to the sort of review and
    >     >>>>> discussion we'd consider reasonable for something that might
    >     >>>>> --intentionally or inadvertently-- may making changes to
    >     >>>>> fundamental processes. Speaking as a candidate for the
    >     >>>>> sorehead role, the WG should certainly not assume the latter
    >     >>>>> won't happen.
    >     >>>>>
    >     >>>>>   best,
    >     >>>>>    john
    >     >>>>>
    >     >>>>>
    >     >>>>>
    >     >>>>> _______________________________________________
    >     >>>>> iasa20 mailing list
    >     >>>>> [email-masked] <mailto:[email-masked]>
    >     >>>>> https://www.ietf.org/mailman/listinfo/iasa20
    >     >>>>
    >     >>>
    >     >>>
    >     >>>
    >     >>>
    >     >>> _______________________________________________
    >     >>> iasa20 mailing list
    >     >>> [email-masked] <mailto:[email-masked]>
    >     >>> https://www.ietf.org/mailman/listinfo/iasa20
    >     > 
    >     > 
    >     > 
    >     > _______________________________________________
    >     > iasa20 mailing list
    >     > [email-masked]
    >     > https://www.ietf.org/mailman/listinfo/iasa20
    >     > 
    >     
    >     _______________________________________________
    >     iasa20 mailing list
    >     [email-masked]
    >     https://www.ietf.org/mailman/listinfo/iasa20
    >     
    >

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 13 Nov 2018 13:31:45 +1300

Formally it's an IESG decision to make an IETF document Historic,
but yes, it needs to be mentioned in the text and confirmed with the
RFC Editor.

We have "Historic" and "Obsoleted by" but we don't have "Deprecated"
as a label for RFCs.

https://tools.ietf.org/html/rfc7526 did all three, however ;-)

   Brian

---

From: John C Klensin <[email-masked]>
Date: Mon, 12 Nov 2018 19:52:08 -0500

I have, so let me deal with this.

best,
   john

--On Tuesday, November 13, 2018 00:05 +0000 "Livingood, Jason"
<[email-masked]> wrote:

> Good point. For ones that might become historic vs.
> deprecated, do we note them as such in this document and then
> send a request to the RFC Editor? (I've never had to move a
> doc to historic before.)